summaryrefslogtreecommitdiff
path: root/doc/build.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-12-30 18:04:23 +0200
committerLars Wirzenius <liw@liw.fi>2018-12-30 18:04:23 +0200
commit58c8454cd01fc8ec5c88b51945f077a18598b976 (patch)
tree7152d70d59d670d2f1eb70a41632a4436965218d /doc/build.sh
parent16f543ca60c4adeaf5990892e90f1f74d5e3b1da (diff)
downloadeffi-reg-58c8454cd01fc8ec5c88b51945f077a18598b976.tar.gz
Change: Rename arch/ to doc/
Diffstat (limited to 'doc/build.sh')
-rwxr-xr-xdoc/build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/doc/build.sh b/doc/build.sh
new file mode 100755
index 0000000..8a04877
--- /dev/null
+++ b/doc/build.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -eu
+
+version="$(git describe --dirty)"
+blockdiag3 arch.diag
+pandoc \
+ -Vdate="Version: $version" \
+ --toc \
+ --standalone \
+ --self-contained \
+ --css arch.css \
+ -o arch.html \
+ *.yarn